Package org.zkoss.bind

## Class BindUtils

- java.lang.Object
- - org.zkoss.bind.BindUtils

-     public class BindUtils
      extends java.lang.Object

  A utility to help developer using zk bind
  Author:
    dennis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Class<?>` | `getViewModelClass​(java.lang.Object viewModel)` |
    `static void` | `postGlobalCommand​(java.lang.String queueName, java.lang.String queueScope, java.lang.String cmdName, java.util.Map<java.lang.String,​java.lang.Object> args)` | Post a global command to corresponding event queue
    `static void` | `postNotifyChange​(java.lang.Object bean, java.lang.String property)` | Post a notify change to default event queue to notify a bean's property changing Omitting the queue name and scope for convenience
    `static void` | `postNotifyChange​(java.lang.Object bean, java.lang.String... properties)` | Post a notify change to default event queue to notify a bean's properties changing Omitting the queue name and scope for convenience
    `static void` | `postNotifyChange​(java.lang.String queueName, java.lang.String queueScope, java.lang.Object bean, java.lang.String property)` | Post a notify change to corresponding event queue to notify a bean's property changing
    `static void` | `postNotifyChange​(java.lang.String queueName, java.lang.String queueScope, java.lang.Object bean, java.lang.String... properties)` | Post a notify change to corresponding event queue to notify a bean's properties changing Accept multiple properties for convenience

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindUtils

          public BindUtils()

  - ### Method Detail

    - #### postGlobalCommand

          public static void postGlobalCommand​(java.lang.String queueName,
                                               java.lang.String queueScope,
                                               java.lang.String cmdName,
                                               java.util.Map<java.lang.String,​java.lang.Object> args)

      Post a global command to corresponding event queue
      Parameters:
        `queueName` - the queue name, null for default queue name
        `queueScope` - the queue scope, null for default queue scope (i.e. `EventQueues.DESKTOP`)
        `cmdName` - the global command name
        `args` - arguments, could get the data in command method by `BindingParam`

    - #### postNotifyChange

          public static void postNotifyChange​(java.lang.Object bean,
                                              java.lang.String property)

      Post a notify change to default event queue to notify a bean's property changing Omitting the queue name and scope for convenience
      Parameters:
        `bean` - the bean instance
        `property` - the property name of bean
      Since:
        9.5.0
      See Also:
        `postNotifyChange(String, String, Object, String)`

    - #### postNotifyChange

          public static void postNotifyChange​(java.lang.String queueName,
                                              java.lang.String queueScope,
                                              java.lang.Object bean,
                                              java.lang.String property)

      Post a notify change to corresponding event queue to notify a bean's property changing
      Parameters:
        `queueName` - the queue name, null for default queue name
        `queueScope` - the queue scope, null for default queue scope (i.e. `EventQueues.DESKTOP`)
        `bean` - the bean instance
        `property` - the property name of bean

    - #### postNotifyChange

          public static void postNotifyChange​(java.lang.Object bean,
                                              java.lang.String... properties)

      Post a notify change to default event queue to notify a bean's properties changing Omitting the queue name and scope for convenience
      Parameters:
        `bean` - the bean instance
        `properties` - the properties name of bean
      Since:
        9.5.0
      See Also:
        `postNotifyChange(String, String, Object, String...)`

    - #### postNotifyChange

          public static void postNotifyChange​(java.lang.String queueName,
                                              java.lang.String queueScope,
                                              java.lang.Object bean,
                                              java.lang.String... properties)

      Post a notify change to corresponding event queue to notify a bean's properties changing Accept multiple properties for convenience
      Parameters:
        `queueName` - the queue name, null for default queue name
        `queueScope` - the queue scope, null for default queue scope (i.e. `EventQueues.DESKTOP`)
        `bean` - the bean instance
        `properties` - the properties name of bean
      Since:
        8.5.2
      See Also:
        `postNotifyChange(String, String, Object, String)`

    - #### getViewModelClass

          public static java.lang.Class<?> getViewModelClass​(java.lang.Object viewModel)